{
    "scan": {
        "analyzer-version-clang": "18.1.2",
        "analyzer-version-cppcheck": "2.13.0",
        "analyzer-version-gcc": "14.0.1",
        "analyzer-version-gcc-analyzer": "14.0.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-96.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "polkit-124-3.fc41",
        "store-results-to": "/tmp/tmplsqcu44u/polkit-124-3.fc41.tar.xz",
        "time-created": "2024-04-17 06:16:43",
        "time-finished": "2024-04-17 06:18:25",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'shellcheck,clang,cppcheck,gcc' '-o' '/tmp/tmplsqcu44u/polkit-124-3.fc41.tar.xz' '--gcc-analyze' '/tmp/tmplsqcu44u/polkit-124-3.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionlookup.c",
                    "line": 22,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/config.h",
                    "line": 48,
                    "column": 9,
                    "event": "warning",
                    "message": "\"_GNU_SOURCE\" redefined",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | #define _GNU_SOURCE",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ^~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "<command-line>",
                    "line": 0,
                    "event": "note",
                    "message": "this is the location of the previous definition",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|   #define VERSION \"124\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   47|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48|-> #define _GNU_SOURCE",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   49|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/redhat-linux-build/polkit-1-scan.c",
                    "line": 220,
                    "column": 16,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'event_num' is used in the enclosing expression, the value is never actually read from 'event_num'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/polkit-1-scan.c",
                    "line": 220,
                    "column": 16,
                    "event": "note",
                    "message": "Although the value stored to 'event_num' is used in the enclosing expression, the value is never actually read from 'event_num'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 799,
                    "column": 27,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 782,
                    "column": 3,
                    "event": "note",
                    "message": "'error' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 791,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'argc' is equal to 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 791,
                    "column": 7,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 791,
                    "column": 21,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 160,
                    "column": 4,
                    "event": "note",
                    "message": "expanded from macro 'g_str_has_prefix'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 791,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 791,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 797,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'dump_irepository'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 638,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'args' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 638,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 639,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 797,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'dump_irepository'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 797,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectihfohz7z/Polkit-1.0.c",
                    "line": 799,
                    "column": 27,
                    "event": "note",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 799,
                    "column": 27,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 782,
                    "column": 3,
                    "event": "note",
                    "message": "'error' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 791,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'argc' is equal to 2",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 791,
                    "column": 7,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 791,
                    "column": 21,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 160,
                    "column": 4,
                    "event": "note",
                    "message": "expanded from macro 'g_str_has_prefix'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 791,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 791,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 797,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'dump_irepository'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 638,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'args' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 638,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 639,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 797,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'dump_irepository'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 797,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/redhat-linux-build/tmp-introspectvy86_j20/PolkitAgent-1.0.c",
                    "line": 799,
                    "column": 27,
                    "event": "note",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 393,
                    "column": 18,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 387,
                    "column": 3,
                    "event": "note",
                    "message": "Null pointer value stored to 'error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 388,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'polkit_authority_get_sync'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 560,
                    "column": 25,
                    "event": "note",
                    "message": "'cancellable' is equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 664,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 59,
                    "event": "note",
                    "message": "expanded from macro 'G_LIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 66,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR_IMPL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 560,
                    "column": 45,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 560,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 664,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 560,
                    "column": 3,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 663,
                    "column": 3,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 985,
                    "column": 23,
                    "event": "note",
                    "message": "expanded from macro 'G_STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 561,
                    "column": 25,
                    "event": "note",
                    "message": "'error' is not equal to null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 664,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 59,
                    "event": "note",
                    "message": "expanded from macro 'G_LIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 66,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR_IMPL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 561,
                    "column": 25,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 561,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 664,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "expanded from macro 'G_LIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 4,
                    "event": "note",
                    "message": "expanded from macro '_G_BOOLEAN_EXPR_IMPL'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 561,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 664,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 561,
                    "column": 3,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmessages.h",
                    "line": 663,
                    "column": 3,
                    "event": "note",
                    "message": "expanded from macro 'g_return_val_if_fail'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 985,
                    "column": 23,
                    "event": "note",
                    "message": "expanded from macro 'G_STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 563,
                    "column": 15,
                    "event": "note",
                    "message": "Calling 'get_uninitialized_authority'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 409,
                    "column": 7,
                    "event": "note",
                    "message": "'error_quark' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 409,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 412,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'the_authority' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 415,
                    "column": 7,
                    "event": "note",
                    "message": "Control jumps to line 419",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 420,
                    "column": 3,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 563,
                    "column": 15,
                    "event": "note",
                    "message": "Returning from 'get_uninitialized_authority'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 564,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'authority' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 564,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 565,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to line 574",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 574,
                    "column": 3,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 388,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from 'polkit_authority_get_sync'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 390,
                    "column": 7,
                    "event": "note",
                    "message": "'ret' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 390,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 393,
                    "column": 18,
                    "event": "note",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  391|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  392|         g_warning (\"polkit_authority_get: Error getting authority: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  393|->                  error->message);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  394|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  395|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘authority_get_async_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 437,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  437 |       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  436|         g_assert (error != NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  437|->       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  438|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  439|         g_object_unref (source_object);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 443,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  443 |       g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  441|     else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  442|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  443|->       g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  444|                                                    source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  445|                                                    g_object_unref);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 447,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  447 |   g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  445|                                                    g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  446|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  447|->   g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  448|     g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  449|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_get_async’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 477,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  477 |   simple = g_simple_async_result_new (NULL,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  475|     g_return_if_fail (cancellable == NULL || G_IS_CANCELLABLE (cancellable));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  476|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  477|->   simple = g_simple_async_result_new (NULL,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  478|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  479|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 487,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  487 |       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  485|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  486|         g_assert (error != NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  487|->       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  488|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  489|         g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 489,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  489 |       g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  487|         g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  488|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  489|->       g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  490|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  491|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_get_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 525,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  525 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_authority_get_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  523|     simple = G_SIMPLE_ASYNC_RESULT (res);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  524|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  525|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_authority_get_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  526|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  527|     ret = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 529,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  529 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  527|     ret = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  528|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  529|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  530|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  531|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 532,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  532 |   object = g_simple_async_result_get_op_res_gpointer (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  530|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  531|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  532|->   object = g_simple_async_result_get_op_res_gpointer (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  533|     g_assert (object != NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  534|     ret = g_object_ref (POLKIT_AUTHORITY (object));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘generic_async_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 631,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631 |   g_simple_async_result_set_op_res_gpointer (simple, g_object_ref (res), g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  629|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  630|     GSimpleAsyncResult *simple = G_SIMPLE_ASYNC_RESULT (user_data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631|->   g_simple_async_result_set_op_res_gpointer (simple, g_object_ref (res), g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632|     g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  633|     g_object_unref (simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 632,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632 |   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  630|     GSimpleAsyncResult *simple = G_SIMPLE_ASYNC_RESULT (user_data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631|     g_simple_async_result_set_op_res_gpointer (simple, g_object_ref (res), g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632|->   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  633|     g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  634|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_enumerate_actions’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 669,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  669 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  667|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  668|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  669|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  670|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  671|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_enumerate_actions_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 706,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  706 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_actions);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  704|     ret = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  705|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  706|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_actions);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  707|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  708|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 707,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  707 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  705|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  706|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_actions);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  707|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  708|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  709|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘check_authorization_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 821,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  821 |       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  819|                                NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  820|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  821|->       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  822|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  823|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 832,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  832 |       g_simple_async_result_set_op_res_gpointer (data->simple, result, g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  830|         g_variant_unref (result_value);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  831|         g_variant_unref (value);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  832|->       g_simple_async_result_set_op_res_gpointer (data->simple, result, g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  833|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  834|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 835,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  835 |   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  833|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  834|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  835|->   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  836|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  837|     g_object_unref (data->authority);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_check_authorization’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 899,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  899 |   data->simple = g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  897|     data = g_new0 (CheckAuthData, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  898|     data->authority = g_object_ref (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  899|->   data->simple = g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  900|                                               callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  901|                                               user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_check_authorization_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 947,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  947 |   if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (res), error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  945|     ret = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  946|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  947|->   if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (res), error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  948|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  949|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 950,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  950 |   ret = g_object_ref (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  948|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  949|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  950|->   ret = g_object_ref (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  951|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  952|    out:",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_register_authentication_agent’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1068,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1068 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1066|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1067|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1068|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1069|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1070|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_register_authentication_agent_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1099,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1099 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1097|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1098|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1099|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1100|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1101|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1100,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1100 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1098|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1099|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1100|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1101|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1102|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_register_authentication_agent_with_options’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1221,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1221 |                          g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                          ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1219|                            cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1220|                            generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1221|->                          g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1222|                                                       callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1223|                                                       user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1238,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1238 |                          g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                          ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1236|                            cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1237|                            generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1238|->                          g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1239|                                                       callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1240|                                                       user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_register_authentication_agent_with_options_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1271,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1271 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent_with_options);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1269|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1270|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1271|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent_with_options);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1272|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1273|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1272,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1272 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1270|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1271|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_register_authentication_agent_with_options);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1272|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1273|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1274|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_unregister_authentication_agent’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1378,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1378 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1376|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1377|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1378|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1379|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1380|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_unregister_authentication_agent_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1409,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1409 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_unregister_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1407|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1408|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1409|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_unregister_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1410|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1411|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1410,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1410 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1408|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1409|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_unregister_authentication_agent);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1410|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1411|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1412|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_authentication_agent_response’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1519,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1519 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1517|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1518|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1519|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1520|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1521|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_authentication_agent_response_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1550,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1550 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_authentication_agent_response);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1548|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1549|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1550|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_authentication_agent_response);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1551|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1552|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1551,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1551 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1549|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1550|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_authentication_agent_response);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1551|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1552|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1553|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_enumerate_temporary_authorizations’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1645,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1645 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1643|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1644|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1645|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1646|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1647|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_enumerate_temporary_authorizations_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1682,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1682 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1680|     ret = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1681|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1682|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1683|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1684|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1683,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1683 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1681|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1682|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_enumerate_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1683|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1684|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1685|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_revoke_temporary_authorizations’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1794,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1794 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1792|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1793|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1794|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1795|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1796|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_revoke_temporary_authorizations_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1825,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1825 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1823|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1824|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1825|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1826|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1827|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1826,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1826 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1824|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1825|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorizations);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1826|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1827|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1828|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_revoke_temporary_authorization_by_id’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1914,
                    "column": 22,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1914 |                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                      ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1912|                        cancellable,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1913|                        generic_async_cb,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1914|->                      g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1915|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1916|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_authority_revoke_temporary_authorization_by_id_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1945,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1945 |   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorization_by_id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1943|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1944|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1945|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorization_by_id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1946|     _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1947|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitauthority.c",
                    "line": 1946,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1946 |   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1944|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1945|     g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) == polkit_authority_revoke_temporary_authorization_by_id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1946|->   _res = G_ASYNC_RESULT (g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (res)));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1947|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1948|     value = g_dbus_proxy_call_finish (authority->proxy, _res, error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitimplicitauthorization.c",
                    "line": 39,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitimplicitauthorization.c",
                    "line": 39,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'result' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   37|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   38|     ret = TRUE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   39|->   result = POLKIT_IMPLICIT_AUTHORIZATION_NOT_AUTHORIZED;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   40|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   41|     if (strcmp (string, \"no\") == 0)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitimplicitauthorization.c",
                    "line": 83,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 's' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitimplicitauthorization.c",
                    "line": 83,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 's' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   81|     const gchar *s;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   83|->   s = \"(unknown)\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   84|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   85|     switch (implicit_authorization)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘acquire_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 558,
                    "column": 15,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558 |               g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119 | void                g_simple_async_result_set_error        (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  556|             if (polkit_authorization_result_get_dismissed (result))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  557|               {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  558|->               g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  559|                                                  G_IO_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  560|                                                  G_IO_ERROR_CANCELLED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 566,
                    "column": 15,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  566 |               g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119 | void                g_simple_async_result_set_error        (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  564|             else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  565|               {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  566|->               g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  567|                                                  POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  568|                                                  POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 577,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  577 |       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|     else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  576|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  577|->       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  578|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  579|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 583,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  583 |   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  581|      * due to how PolkitAuthority works",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  582|      */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  583|->   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  584|     acquire_data_free (data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  585|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘acquire_async’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 598,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  598 |   data->simple = g_simple_async_result_new (G_OBJECT (permission),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  596|     data = g_new0 (AcquireData, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  597|     data->permission = permission;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  598|->   data->simple = g_simple_async_result_new (G_OBJECT (permission),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  599|                                               callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  600|                                               user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘acquire_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 621,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  621 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == acquire_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  619|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  620|     simple = G_SIMPLE_ASYNC_RESULT (result);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  621|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == acquire_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  622|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  623|     if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 623,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  623 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  621|     g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == acquire_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  622|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  623|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  624|       return FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  625|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘release_check_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 710,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  710 |       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  708|                         \"Error checking authorization for action id %s after releasing the permission: \",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  709|                         data->permission->action_id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  710|->       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  711|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  712|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 721,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  721 |   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  719|      * due to how PolkitAuthority works",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  720|      */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  721|->   g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  722|     release_data_free (data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  723|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 734,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'ret' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 734,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'ret' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  732|     gboolean ret;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  733|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  734|->   ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  735|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  736|     error = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘release_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 742,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  742 |       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  740|     if (!ret)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  741|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  742|->       g_simple_async_result_set_from_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  743|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  744|         /* don't complete in idle since we're already completing in idle",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 747,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  747 |       g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  745|          * due to how PolkitAuthority works",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  746|          */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  747|->       g_simple_async_result_complete (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  748|         release_data_free (data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  749|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘release_async’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 778,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  778 |   data->simple = g_simple_async_result_new (G_OBJECT (permission),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  776|     data = g_new0 (ReleaseData, 1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  777|     data->permission = permission;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  778|->   data->simple = g_simple_async_result_new (G_OBJECT (permission),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  779|                                               callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  780|                                               user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 785,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  785 |       g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119 | void                g_simple_async_result_set_error        (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  783|     if (permission->tmp_authz_id == NULL)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  784|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  785|->       g_simple_async_result_set_error (data->simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  786|                                          POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  787|                                          POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 790,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  790 |       g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  788|                                          \"Cannot release permission: no temporary authorization for action-id %s exist\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  789|                                          permission->action_id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  790|->       g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  791|         release_data_free (data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  792|         goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘release_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 812,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  812 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == release_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  810|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  811|     simple = G_SIMPLE_ASYNC_RESULT (result);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  812|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == release_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  813|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  814|     if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitpermission.c",
                    "line": 814,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  814 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  812|     g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == release_async);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  813|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  814|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  815|       return FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  816|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘exists_in_thread_func’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 289,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gunixfdlist.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  287|                                              &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  288|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  289|->       g_simple_async_result_set_from_error (res, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  290|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_system_bus_name_exists’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 304,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  302|     g_return_if_fail (POLKIT_IS_SYSTEM_BUS_NAME (subject));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  303|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  304|->   simple = g_simple_async_result_new (G_OBJECT (subject),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  305|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  306|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 308,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_run_in_thread’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 105,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  306|                                         user_data,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  307|                                         polkit_system_bus_name_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  308|->   g_simple_async_result_run_in_thread (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  309|                                          exists_in_thread_func,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  310|                                          G_PRIORITY_DEFAULT,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_system_bus_name_exists_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 323,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  321|     gboolean ret;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  322|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  323|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_system_bus_name_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  324|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  325|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 327,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  325|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  326|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  327|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  328|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  329|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitsystembusname.c",
                    "line": 330,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gboolean’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 88,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  328|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  329|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  330|->   ret = g_simple_async_result_get_op_res_gboolean (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  331|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332|    out:",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_unix_process_exists’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 920,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.h",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 47,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  918|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  919|     GSimpleAsyncResult *simple;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  920|->   simple = g_simple_async_result_new (G_OBJECT (subject),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  921|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  922|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 924,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  922|                                         user_data,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  923|                                         polkit_unix_process_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  924|->   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  925|     g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  926|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_unix_process_exists_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixprocess.c",
                    "line": 935,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  933|     GSimpleAsyncResult *simple = G_SIMPLE_ASYNC_RESULT (res);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  934|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  935|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_unix_process_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  936|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  937|     return polkit_unix_process_exists_sync (subject,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘exists_in_thread_func’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 388,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  388 |       g_simple_async_result_set_from_error (res, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  386|                                           &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  387|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  388|->       g_simple_async_result_set_from_error (res, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  389|         g_error_free (error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  390|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_unix_session_exists’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 403,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  403 |   simple = g_simple_async_result_new (G_OBJECT (subject),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  401|     g_return_if_fail (POLKIT_IS_UNIX_SESSION (subject));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  402|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  403|->   simple = g_simple_async_result_new (G_OBJECT (subject),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  404|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  405|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 407,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_run_in_thread’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407 |   g_simple_async_result_run_in_thread (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 105,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  105 | void                g_simple_async_result_run_in_thread    (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  405|                                         user_data,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  406|                                         polkit_unix_session_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407|->   g_simple_async_result_run_in_thread (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408|                                          exists_in_thread_func,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  409|                                          G_PRIORITY_DEFAULT,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_unix_session_exists_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 422,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  422 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_unix_session_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  420|     gboolean ret;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  421|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  422|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_unix_session_exists);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  423|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  424|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 426,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  426 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  424|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  425|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  426|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  427|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  428|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkit/polkitunixsession-systemd.c",
                    "line": 429,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gboolean’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  429 |   ret = g_simple_async_result_get_op_res_gboolean (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 88,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   88 | gboolean            g_simple_async_result_get_op_res_gboolean (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  427|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  428|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  429|->   ret = g_simple_async_result_get_op_res_gboolean (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  430|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  431|    out:",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 688,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘send_to_helper’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 47,
                    "column": 10,
                    "event": "warning[-Wanalyzer-null-argument]",
                    "message": "use of NULL where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 240,
                    "column": 1,
                    "event": "note",
                    "message": "(1) entry to ‘conversation_function’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 247,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 250,
                    "column": 16,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 250,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘false’ branch (when ‘aresp’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 253,
                    "column": 17,
                    "event": "note",
                    "message": "(6) following ‘true’ branch (when ‘i < n’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 255,
                    "column": 12,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 256,
                    "column": 21,
                    "event": "note",
                    "message": "(8) ‘0’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 257,
                    "column": 7,
                    "event": "note",
                    "message": "(9) following ‘case 1:’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 260,
                    "column": 9,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 261,
                    "column": 11,
                    "event": "note",
                    "message": "(11) calling ‘send_to_helper’ from ‘conversation_function’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 39,
                    "column": 1,
                    "event": "note",
                    "message": "(12) entry to ‘send_to_helper’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstring.h",
                    "line": 37,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/giochannel.h",
                    "line": 36,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 56,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gbinding.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib-object.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkittypes.h",
                    "line": 25,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelperprivate.h",
                    "line": 25,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 21,
                    "event": "note",
                    "message": "(13) inlined call to ‘g_strdup_inline’ from ‘send_to_helper’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 46,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 311,
                    "column": 6,
                    "event": "note",
                    "message": "(14) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘send_to_helper’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 47,
                    "column": 10,
                    "event": "note",
                    "message": "(15) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenthelper-pam.c",
                    "line": 47,
                    "column": 10,
                    "event": "note",
                    "message": "(16) argument 1 (‘<unknown>’) NULL where non-null expected",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<built-in>",
                    "line": 0,
                    "event": "note",
                    "message": "argument 1 of ‘__builtin_strlen’ must be non-null",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|     tmp2 = g_strdup(str2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   47|->   len2 = strlen(tmp2);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48|   #ifdef PAH_DEBUG",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   49|     fprintf (stderr, \"polkit-agent-helper-1: writing `%s ' to stdout\\n\", str1);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘on_completed’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 312,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitactiondescription.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitprivate.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  310|     fflush (listener->tty);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  311|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  312|->   g_simple_async_result_complete_in_idle (listener->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  314|     g_object_unref (listener->simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_agent_text_listener_initiate_authentication’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 563,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  561|     PolkitIdentity *identity;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  562|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  563|->   simple = g_simple_async_result_new (G_OBJECT (listener),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  564|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  565|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 569,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  567|     if (listener->active_session != NULL)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  568|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  569|->       g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  570|                                          POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571|                                          POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 573,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  571|                                          POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  572|                                          \"An authentication session is already underway.\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  573|->       g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  574|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|         goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 605,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  603|               fprintf (listener->tty, \"\\x1B[0m\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  604|             fflush (listener->tty);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  605|->           g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  606|                                              POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  607|                                              POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 609,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  607|                                              POLKIT_ERROR_FAILED,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  608|                                              \"Authentication was canceled.\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  609|->           g_simple_async_result_complete_in_idle (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  610|             g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  611|             goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_agent_text_listener_initiate_authentication_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 663,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  661|     gboolean ret;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  662|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  663|->   g_warn_if_fail (g_simple_async_result_get_source_tag (G_SIMPLE_ASYNC_RESULT (res)) ==",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  664|                     polkit_agent_text_listener_initiate_authentication);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  665|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitagent/polkitagenttextlistener.c",
                    "line": 668,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  666|     ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  667|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  668|->   if (g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (res), error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  669|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  670|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 131,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  129|     PolkitBackendActionPoolPrivate *priv;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  130|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  131|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  132|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  133|     priv->parsed_actions = g_hash_table_new_full (g_str_hash,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_finalize’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 151,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  149|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  150|     pool = POLKIT_BACKEND_ACTION_POOL (object);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  151|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  152|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  153|     if (priv->directory != NULL)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_get_property’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 178,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  176|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  177|     pool = POLKIT_BACKEND_ACTION_POOL (object);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  178|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  179|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  180|     switch (prop_id)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘dir_monitor_changed’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 203,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  201|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  202|     pool = POLKIT_BACKEND_ACTION_POOL (user_data);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  203|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  204|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  205|     /* TODO: maybe rate-limit so storms of events are collapsed into one with a 500ms resolution?",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_set_property’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 251,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  250|     pool = POLKIT_BACKEND_ACTION_POOL (object);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  251|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  252|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  253|     switch (prop_id)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_class_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 292,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_type_class_add_private’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gobject.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gbinding.h",
                    "line": 31,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib-object.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkittypes.h",
                    "line": 25,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gtype.h",
                    "line": 1497,
                    "column": 10,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  290|     gobject_class->finalize     = polkit_backend_action_pool_finalize;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|->   g_type_class_add_private (klass, sizeof (PolkitBackendActionPoolPrivate));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  293|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  294|     /**",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_get_action’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 372,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  370|     g_return_val_if_fail (POLKIT_BACKEND_IS_ACTION_POOL (pool), NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  371|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  372|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  373|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  374|     /* TODO: just compute the name of the expected file and ensure it's parsed */",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_action_pool_get_all_actions’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 430,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  428|     g_return_val_if_fail (POLKIT_BACKEND_IS_ACTION_POOL (pool), NULL);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  429|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  430|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  431|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  432|     ensure_all_files (pool);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘ensure_file’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 465,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  463|     gchar *uri;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  464|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  465|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  466|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  467|     uri = g_file_get_uri (file);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘ensure_all_files’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 511,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  509|     GError *error;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  510|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  511|->   priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  512|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  513|     e = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘_end’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendactionpool.c",
                    "line": 974,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  972|           PolkitBackendActionPoolPrivate *priv;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  973|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  974|->         priv = POLKIT_BACKEND_ACTION_POOL_GET_PRIVATE (pd->pool);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  975|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  976|           vendor = pd->vendor;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_authority_check_authorization’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 216,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new_error’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216 |       simple = g_simple_async_result_new_error (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitactiondescription.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 29,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 53,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   53 | GSimpleAsyncResult *g_simple_async_result_new_error        (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  214|         g_warning (\"check_authorization is not implemented (it is not optional)\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|->       simple = g_simple_async_result_new_error (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|                                                   callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  218|                                                   user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 222,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222 |       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  220|                                                   POLKIT_ERROR_NOT_SUPPORTED,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  221|                                                   \"Operation not supported (bug in backend)\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222|->       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  223|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  224|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_authority_check_authorization_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 253,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  253 |       g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (res), error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  251|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  252|         g_warning (\"check_authorization_finish is not implemented (it is not optional)\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  253|->       g_simple_async_result_propagate_error (G_SIMPLE_ASYNC_RESULT (res), error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  254|         return NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  255|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_authority_log’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 1522,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘GTimeVal’ is deprecated: Use 'GDateTime' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1522 |   GTimeVal now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/galloca.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gbinding.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib-object.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkittypes.h",
                    "line": 25,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtypes.h",
                    "line": 580,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  580 | struct _GTimeVal",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1520|                                 ...)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1521|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1522|->   GTimeVal now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1523|     time_t now_time;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1524|     struct tm *now_tm;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendauthority.c",
                    "line": 1537,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_get_current_time’ is deprecated: Use 'g_get_real_time' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1537 |   g_get_current_time (&now);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/giochannel.h",
                    "line": 35,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 56,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmain.h",
                    "line": 728,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  728 | void   g_get_current_time                 (GTimeVal       *result);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1535|     syslog (LOG_NOTICE, \"%s\", message);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1536|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1537|->   g_get_current_time (&now);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1538|     now_time = (time_t) now.tv_sec;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1539|     now_tm = localtime (&now_time);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘utils_on_cancelled’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 141,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_take_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141 |   g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gunixfdlist.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.h",
                    "line": 40,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 113,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113 | void                g_simple_async_result_take_error       (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|     error = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|     g_warn_if_fail (g_cancellable_set_error_if_cancelled (cancellable, &error));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|->   g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|     g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     g_object_unref (data->simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 142,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142 |   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|     g_warn_if_fail (g_cancellable_set_error_if_cancelled (cancellable, &error));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|     g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|->   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     g_object_unref (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘utils_timeout_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 157,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  157 |   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  155|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  156|     /* we're done */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  157|->   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  158|     g_object_unref (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘utils_child_watch_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 190,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  190 |   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  188|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  189|     /* we're done */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  190|->   g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  191|     g_object_unref (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  192|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_common_spawn’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 234,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234 |   data->simple = g_simple_async_result_new (NULL,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  232|     data = g_slice_new0 (UtilsSpawnData);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  233|     data->timeout_seconds = timeout_seconds;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234|->   data->simple = g_simple_async_result_new (NULL,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235|                                               callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  236|                                               user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 250,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  250 |   g_simple_async_result_set_op_res_gpointer (data->simple, data, (GDestroyNotify) utils_spawn_data_free);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  248|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  249|     /* the life-cycle of UtilsSpawnData is tied to its GSimpleAsyncResult */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  250|->   g_simple_async_result_set_op_res_gpointer (data->simple, data, (GDestroyNotify) utils_spawn_data_free);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  251|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  252|     error = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 259,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_take_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  259 |           g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 113,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113 | void                g_simple_async_result_take_error       (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  257|         if (g_cancellable_set_error_if_cancelled (data->cancellable, &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  258|           {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  259|->           g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  260|             g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  261|             g_object_unref (data->simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 260,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  260 |           g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  258|           {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  259|             g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  260|->           g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  261|             g_object_unref (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  262|             goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 285,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_take_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  285 |       g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 113,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113 | void                g_simple_async_result_take_error       (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  283|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  284|         g_prefix_error (&error, \"Error spawning: \");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  285|->       g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  286|         g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  287|         g_object_unref (data->simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 286,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete_in_idle’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  286 |       g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 103,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  103 | void                g_simple_async_result_complete_in_idle (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  284|         g_prefix_error (&error, \"Error spawning: \");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  285|         g_simple_async_result_take_error (data->simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  286|->       g_simple_async_result_complete_in_idle (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  287|         g_object_unref (data->simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  288|         goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_common_spawn_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 372,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  372 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_backend_common_spawn);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  370|     g_return_val_if_fail (error == NULL || *error == NULL, FALSE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  371|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  372|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_backend_common_spawn);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  373|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  374|     if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 374,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  374 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  372|     g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_backend_common_spawn);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  373|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  374|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  375|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  376|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.c",
                    "line": 377,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  377 |   data = (UtilsSpawnData*)g_simple_async_result_get_op_res_gpointer (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  375|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  376|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  377|->   data = (UtilsSpawnData*)g_simple_async_result_get_op_res_gpointer (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  378|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  379|     if (data->timed_out)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_js_authority_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 98,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   98 |                                                  PolkitBackendJsAuthorityPrivate);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96|     authority->priv = G_TYPE_INSTANCE_GET_PRIVATE (authority,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   97|                                                    POLKIT_BACKEND_TYPE_JS_AUTHORITY,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   98|->                                                  PolkitBackendJsAuthorityPrivate);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   99|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  100|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_js_authority_class_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 311,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_type_class_add_private’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  311 |   g_type_class_add_private (klass, sizeof (PolkitBackendJsAuthorityPrivate));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gobject.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gbinding.h",
                    "line": 31,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib-object.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gioenums.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/giotypes.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gunixfdlist.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendcommon.h",
                    "line": 40,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gtype.h",
                    "line": 1497,
                    "column": 10,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1497 | void     g_type_class_add_private       (gpointer                    g_class,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ^~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  309|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  310|     polkit_backend_common_js_authority_class_init_common (klass);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  311|->   g_type_class_add_private (klass, sizeof (PolkitBackendJsAuthorityPrivate));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  312|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  313|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_common_js_authority_get_admin_auth_identities’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 898,
                    "column": 7,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘error’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 882,
                    "column": 11,
                    "event": "note",
                    "message": "(1) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 888,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 894,
                    "column": 3,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 896,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 900,
                    "column": 42,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 900,
                    "column": 42,
                    "event": "note",
                    "message": "(6) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 898,
                    "column": 7,
                    "event": "note",
                    "message": "(7) dereference of NULL ‘error’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  896|     if (!push_action_and_details (cx, action_id, details, &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  897|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  898|->       polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  899|                                       \"Error converting action and details to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  900|                                       error->message);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 907,
                    "column": 7,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘error’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 882,
                    "column": 11,
                    "event": "note",
                    "message": "(1) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 888,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 894,
                    "column": 3,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 896,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 905,
                    "column": 8,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 905,
                    "column": 6,
                    "event": "note",
                    "message": "(6) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 909,
                    "column": 42,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 909,
                    "column": 42,
                    "event": "note",
                    "message": "(8) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 907,
                    "column": 7,
                    "event": "note",
                    "message": "(9) dereference of NULL ‘error’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  905|     if (!push_subject (cx, subject, user_for_subject, subject_is_local, subject_is_active, &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  906|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  907|->       polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  908|                                       \"Error converting subject to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  909|                                       error->message);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_common_js_authority_check_authorization_sync’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 979,
                    "column": 7,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘error’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 965,
                    "column": 11,
                    "event": "note",
                    "message": "(1) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 975,
                    "column": 3,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 981,
                    "column": 42,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 981,
                    "column": 42,
                    "event": "note",
                    "message": "(6) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 979,
                    "column": 7,
                    "event": "note",
                    "message": "(7) dereference of NULL ‘error’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  977|     if (!push_action_and_details (cx, action_id, details, &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  978|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|->       polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  980|                                       \"Error converting action and details to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  981|                                       error->message);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 981,
                    "column": 37,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 965,
                    "column": 3,
                    "event": "note",
                    "message": "'error' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'push_action_and_details'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 559,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 559,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 560,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'push_action_and_details'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 981,
                    "column": 37,
                    "event": "note",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|         polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  980|                                       \"Error converting action and details to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  981|->                                     error->message);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  982|         g_clear_error (&error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  983|         goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 988,
                    "column": 7,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘error’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 965,
                    "column": 11,
                    "event": "note",
                    "message": "(1) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 975,
                    "column": 3,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 986,
                    "column": 8,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 986,
                    "column": 6,
                    "event": "note",
                    "message": "(6) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 990,
                    "column": 42,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 990,
                    "column": 42,
                    "event": "note",
                    "message": "(8) ‘error’ is NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 988,
                    "column": 7,
                    "event": "note",
                    "message": "(9) dereference of NULL ‘error’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  986|     if (!push_subject (cx, subject, user_for_subject, subject_is_local, subject_is_active, &error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  987|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|->       polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989|                                       \"Error converting subject to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  990|                                       error->message);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 990,
                    "column": 37,
                    "event": "warning[core.NullDereference]",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 965,
                    "column": 3,
                    "event": "note",
                    "message": "'error' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 971,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'push_action_and_details'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 559,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 559,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 568,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming 'keys' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 568,
                    "column": 28,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 579,
                    "column": 3,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'push_action_and_details'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 977,
                    "column": 3,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 986,
                    "column": 8,
                    "event": "note",
                    "message": "Calling 'push_subject'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 382,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 382,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 383,
                    "column": 5,
                    "event": "note",
                    "message": "Returning without writing to '*error'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 986,
                    "column": 8,
                    "event": "note",
                    "message": "Returning from 'push_subject'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 986,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendduktapeauthority.c",
                    "line": 990,
                    "column": 37,
                    "event": "note",
                    "message": "Access to field 'message' results in a dereference of a null pointer (loaded from variable 'error')",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|         polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989|                                       \"Error converting subject to JS object: %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  990|->                                     error->message);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  991|         g_clear_error (&error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  992|         goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 300,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  300 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  298|     (void)POLKIT_ERROR;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  299|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  300|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  301|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  302|     directory = g_file_new_for_path (PACKAGE_DATA_DIR \"/polkit-1/actions\");",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_finalize’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 354,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  352|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (object);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|     if (priv->name_owner_changed_signal_id > 0)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_class_init’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 419,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_type_class_add_private’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  419 |   g_type_class_add_private (klass, sizeof (PolkitBackendInteractiveAuthorityPrivate));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gobject.h",
                    "line": 26,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gbinding.h",
                    "line": 31,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib-object.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkittypes.h",
                    "line": 25,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 27,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 35,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gobject/gtype.h",
                    "line": 1497,
                    "column": 10,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1497 | void     g_type_class_add_private       (gpointer                    g_class,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |          ^~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  417|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  418|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  419|->   g_type_class_add_private (klass, sizeof (PolkitBackendInteractiveAuthorityPrivate));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  420|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  421|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_enumerate_actions’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 435,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  433|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  434|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  436|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  437|     actions = polkit_backend_action_pool_get_all_actions (priv->action_pool, interactivee);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘log_result’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 577,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  577 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  575|     gchar *caller_cmdline;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  576|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  577|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  578|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  579|     log_result_str = \"DENYING\";",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘check_authorization_challenge_cb’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 644,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  644 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  642|     gboolean is_temp;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  643|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  644|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  645|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  646|     result = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 746,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  746 |   g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gio.h",
                    "line": 141,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkitactiondescription.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkit/polkit.h",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  744|     /* log_result (authority, action_id, subject, caller, result); */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  745|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  746|->   g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  747|                                                result,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  748|                                                g_object_unref);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 749,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  749 |   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  747|                                                result,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  748|                                                g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  749|->   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  750|     g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  751|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_check_authorization_finish’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 769,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_source_tag’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769 |   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_backend_interactive_authority_check_authorization);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 96,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   96 | gpointer            g_simple_async_result_get_source_tag   (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  767|     simple = G_SIMPLE_ASYNC_RESULT (res);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  768|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  769|->   g_warn_if_fail (g_simple_async_result_get_source_tag (simple) == polkit_backend_interactive_authority_check_authorization);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  770|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  771|     result = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 773,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_propagate_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  773 |   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 116,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116 | gboolean            g_simple_async_result_propagate_error  (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  771|     result = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  772|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  773|->   if (g_simple_async_result_propagate_error (simple, error))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  774|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  775|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 776,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_get_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  776 |   result = g_object_ref (g_simple_async_result_get_op_res_gpointer (simple));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 76,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76 | gpointer            g_simple_async_result_get_op_res_gpointer (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  774|       goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  775|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  776|->   result = g_object_ref (g_simple_async_result_get_op_res_gpointer (simple));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  777|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  778|    out:",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘may_identity_check_authorization’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 787,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  787 |   PolkitBackendInteractiveAuthorityPrivate *priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  785|                                     PolkitIdentity                      *identity)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  786|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  787|->   PolkitBackendInteractiveAuthorityPrivate *priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  788|     gboolean ret = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  789|     PolkitActionDescription *action_desc = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_check_authorization’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 866,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  866 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  864|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  865|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  866|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  867|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  868|     error = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 877,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_new’ is deprecated: Use 'g_task_new' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  877 |   simple = g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 48,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   48 | GSimpleAsyncResult *g_simple_async_result_new              (GObject                 *source_object,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  875|     result = NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  876|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  877|->   simple = g_simple_async_result_new (G_OBJECT (authority),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  878|                                         callback,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  879|                                         user_data,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 905,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  905 |       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  903|     if (error != NULL)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  904|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  905|->       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  906|         g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  907|         g_object_unref (simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 906,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  906 |       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  904|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  905|         g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  906|->       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  907|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  908|         g_error_free (error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 920,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  920 |       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  918|     if (error != NULL)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  919|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  920|->       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  921|         g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  922|         g_object_unref (simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 921,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  921 |       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  919|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  920|         g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  921|->       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  922|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  923|         g_error_free (error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 965,
                    "column": 15,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  965 |               g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119 | void                g_simple_async_result_set_error        (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  963|             if (has_details)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  964|               {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  965|->               g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  966|                                                  POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  967|                                                  POLKIT_ERROR_NOT_AUTHORIZED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 973,
                    "column": 15,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  973 |               g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 119,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  119 | void                g_simple_async_result_set_error        (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  971|             else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  972|               {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  973|->               g_simple_async_result_set_error (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  974|                                                  POLKIT_ERROR,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  975|                                                  POLKIT_ERROR_NOT_AUTHORIZED,",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 979,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979 |           g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  977|                                                  \"subjects belonging to other identities\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  978|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  979|->           g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  980|             g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  981|             goto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 997,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_from_error’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  997 |       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 110,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  110 | void                g_simple_async_result_set_from_error   (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  995|     if (error != NULL)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  996|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  997|->       g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  998|         g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  999|         g_object_unref (simple);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 998,
                    "column": 7,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  998 |       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  996|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  997|         g_simple_async_result_set_from_error (simple, error);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  998|->       g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  999|         g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1000|         g_error_free (error);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1038,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_set_op_res_gpointer’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1038 |   g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 72,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72 | void                g_simple_async_result_set_op_res_gpointer (GSimpleAsyncResult      *simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1036|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1037|     /* Otherwise just return the result */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1038|->   g_simple_async_result_set_op_res_gpointer (simple,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1039|                                                g_object_ref (result),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1040|                                                g_object_unref);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1041,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_simple_async_result_complete’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1041 |   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/gio/gsimpleasyncresult.h",
                    "line": 101,
                    "column": 21,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  101 | void                g_simple_async_result_complete         (GSimpleAsyncResult      *simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1039|                                                g_object_ref (result),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1040|                                                g_object_unref);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1041|->   g_simple_async_result_complete (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1042|     g_object_unref (simple);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1043|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘check_authorization_sync’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1090,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1090 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1088|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1089|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1090|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1091|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1092|     result = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_authentication_agent_for_subject’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1706,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1706 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1704|     gboolean fallback = FALSE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1705|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1706|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1707|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1708|     agent = g_hash_table_lookup (priv->hash_scope_to_authentication_agent, subject);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_authentication_session_for_uid_and_cookie’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1779,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1779 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1777|     /* TODO: perhaps use a hash on the cookie to speed this up */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1778|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1779|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1780|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1781|     g_hash_table_iter_init (&hash_iter, priv->hash_scope_to_authentication_agent);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_authentication_sessions_initiated_by_system_bus_unique_name’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1832,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1832 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1830|     /* TODO: perhaps use a hash on the cookie to speed this up */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1831|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1832|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1833|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1834|     g_hash_table_iter_init (&hash_iter, priv->hash_scope_to_authentication_agent);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_authentication_sessions_for_system_bus_unique_name_subject’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1866,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1866 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1864|     /* TODO: perhaps use a hash on the cookie to speed this up */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1865|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1866|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1867|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1868|     g_hash_table_iter_init (&hash_iter, priv->hash_scope_to_authentication_agent);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_authentication_agent_by_unique_system_bus_name’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 1898,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1898 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1896|     AuthenticationAgent *agent;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1897|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1898|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1899|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1900|     g_hash_table_iter_init (&hash_iter, priv->hash_scope_to_authentication_agent);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘get_localized_data_for_challenge’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2062,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2062 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~       ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2060|     gchar *s;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2061|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2062|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2063|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2064|     message = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘authentication_agent_initiate_challenge’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2326,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2326 |   PolkitBackendInteractiveAuthorityPrivate *priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2324|                                            gpointer                     user_data)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2325|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2326|->   PolkitBackendInteractiveAuthorityPrivate *priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2327|     AuthenticationSession *session;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2328|     GList *l;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_register_authentication_agent’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2529,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2529 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2527|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2528|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2529|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2530|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2531|     if (POLKIT_IS_UNIX_SESSION (subject))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_unregister_authentication_agent’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2684,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2684 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2682|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2683|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2684|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2685|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2686|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_authentication_agent_response’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2844,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2844 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2842|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2843|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2844|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2845|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2846|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_system_bus_name_owner_changed’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 2928,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2928 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2926|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2927|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2928|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2929|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2930|     //g_debug (\"name-owner-changed: '%s' '%s' '%s'\", name, old_owner, new_owner);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_enumerate_temporary_authorizations’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 3365,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘GTimeVal’ is deprecated: Use 'GDateTime' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3365 |   GTimeVal real_now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/galloca.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gprintf.h",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstdio.h",
                    "line": 24,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtypes.h",
                    "line": 580,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  580 | struct _GTimeVal",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3363|     GList *l;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3364|     gint64 monotonic_now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3365|->   GTimeVal real_now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3366|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3367|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 3368,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3368 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3366|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3367|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3368|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3369|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3370|     ret = NULL;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 3404,
                    "column": 3,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_get_current_time’ is deprecated: Use 'g_get_real_time' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3404 |   g_get_current_time (&real_now);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/giochannel.h",
                    "line": 35,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 56,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmain.h",
                    "line": 728,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  728 | void   g_get_current_time                 (GTimeVal       *result);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |        ^~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3402|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3403|     monotonic_now = g_get_monotonic_time ();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3404|->   g_get_current_time (&real_now);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3405|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3406|     for (l = priv->temporary_authorization_store->authorizations; l != NULL; l = l->next)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_revoke_temporary_authorizations’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 3452,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3452 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3450|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3451|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3452|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3453|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3454|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘polkit_backend_interactive_authority_revoke_temporary_authorization_by_id’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitbackendinteractiveauthority.c",
                    "line": 3532,
                    "column": 13,
                    "event": "warning",
                    "message": "Deprecated pre-processor symbol: replace with \"G_ADD_PRIVATE\"",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3532 |   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3530|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3531|     interactive_authority = POLKIT_BACKEND_INTERACTIVE_AUTHORITY (authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3532|->   priv = POLKIT_BACKEND_INTERACTIVE_AUTHORITY_GET_PRIVATE (interactive_authority);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3533|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3534|     ret = FALSE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘become_user’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 141,
                    "column": 3,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘setregid’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141 |   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|->   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|     setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 141,
                    "column": 3,
                    "event": "warning[security.insecureAPI.UncheckedReturn]",
                    "message": "The return value from the call to 'setregid' is not checked.  If an error occurs in 'setregid', the following code may execute with unexpected privileges",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 141,
                    "column": 3,
                    "event": "note",
                    "message": "The return value from the call to 'setregid' is not checked.  If an error occurs in 'setregid', the following code may execute with unexpected privileges",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|->   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|     setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 142,
                    "column": 3,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘setreuid’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142 |   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|     setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|->   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144|         (getegid () != pw->pw_gid) || (getgid () != pw->pw_gid))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 142,
                    "column": 3,
                    "event": "warning[security.insecureAPI.UncheckedReturn]",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/polkitbackend/polkitd.c",
                    "line": 142,
                    "column": 3,
                    "event": "note",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|     setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|->   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144|         (getegid () != pw->pw_gid) || (getgid () != pw->pw_gid))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkcheck.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘do_list_or_revoke_temp_authz’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkcheck.c",
                    "line": 274,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘GTimeVal’ is deprecated: Use 'GDateTime' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/galloca.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gi18n.h",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkcheck.c",
                    "line": 28,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtypes.h",
                    "line": 580,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  272|             time_t obtained;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  273|             time_t expires;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  274|->           GTimeVal now;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  275|             gchar *subject_str;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  276|             gchar obtained_str[64];",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkcheck.c",
                    "line": 290,
                    "column": 11,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘g_get_current_time’ is deprecated: Use 'g_get_real_time' instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/giochannel.h",
                    "line": 35,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 56,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmain.h",
                    "line": 728,
                    "column": 8,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  288|             expires = polkit_temporary_authorization_get_time_expires (a);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  289|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  290|->           g_get_current_time (&now);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  291|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  292|             broken_down = localtime (&obtained);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 688,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 808,
                    "column": 7,
                    "event": "warning[-Wanalyzer-null-argument]",
                    "message": "use of NULL ‘command_line’ where non-null expected",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 436,
                    "column": 1,
                    "event": "note",
                    "message": "(1) entry to ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 497,
                    "column": 6,
                    "event": "note",
                    "message": "(2) following ‘false’ branch (when ‘argc > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 511,
                    "column": 16,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 566,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘false’ branch (when ‘opt_show_help == 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 572,
                    "column": 11,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 572,
                    "column": 11,
                    "event": "note",
                    "message": "(6) following ‘false’ branch (when ‘opt_show_version == 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 580,
                    "column": 7,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 580,
                    "column": 6,
                    "event": "note",
                    "message": "(8) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstring.h",
                    "line": 37,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/giochannel.h",
                    "line": 36,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 56,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gi18n.h",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 40,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 586,
                    "column": 34,
                    "event": "note",
                    "message": "(9) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 38,
                    "event": "note",
                    "message": "in definition of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 587,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 593,
                    "column": 23,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 593,
                    "column": 6,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 600,
                    "column": 6,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 600,
                    "column": 6,
                    "event": "note",
                    "message": "(14) following ‘true’ branch (when ‘opt_user’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 21,
                    "event": "note",
                    "message": "(15) inlined call to ‘g_strdup_inline’ from ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 601,
                    "column": 16,
                    "event": "note",
                    "message": "in expansion of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 317,
                    "column": 32,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 612,
                    "column": 11,
                    "event": "note",
                    "message": "(17) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/glib-2.0/include/glibconfig.h",
                    "line": 9,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtypes.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/galloca.h",
                    "line": 34,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib.h",
                    "line": 32,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 626,
                    "column": 17,
                    "event": "note",
                    "message": "(18) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "in definition of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 626,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(19) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 626,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 627,
                    "column": 24,
                    "event": "note",
                    "message": "(20) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 38,
                    "event": "note",
                    "message": "in definition of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 666,
                    "column": 6,
                    "event": "note",
                    "message": "(21) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 672,
                    "column": 7,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 672,
                    "column": 6,
                    "event": "note",
                    "message": "(23) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 676,
                    "column": 22,
                    "event": "note",
                    "message": "(24) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 682,
                    "column": 48,
                    "event": "note",
                    "message": "(25) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 687,
                    "column": 15,
                    "event": "note",
                    "message": "(26) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 727,
                    "column": 6,
                    "event": "note",
                    "message": "(27) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 735,
                    "column": 7,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 735,
                    "column": 6,
                    "event": "note",
                    "message": "(29) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 745,
                    "column": 19,
                    "event": "note",
                    "message": "(30) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 746,
                    "column": 6,
                    "event": "note",
                    "message": "(31) following ‘false’ branch (when ‘pid_of_caller != 1’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 770,
                    "column": 48,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(33) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 772,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 773,
                    "column": 13,
                    "event": "note",
                    "message": "(34) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "in definition of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 773,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(35) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 773,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 774,
                    "column": 13,
                    "event": "note",
                    "message": "(36) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "in definition of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 774,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(37) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 774,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 775,
                    "column": 13,
                    "event": "note",
                    "message": "(38) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 8,
                    "event": "note",
                    "message": "in definition of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 775,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(39) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 775,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 777,
                    "column": 9,
                    "event": "note",
                    "message": "(40) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 779,
                    "column": 6,
                    "event": "note",
                    "message": "(41) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(42) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 787,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(43) following ‘true’ branch (when ‘exec_argv’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 787,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 788,
                    "column": 15,
                    "event": "note",
                    "message": "(44) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 788,
                    "column": 15,
                    "event": "note",
                    "message": "(45) calling ‘find_action_for_path’ from ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 270,
                    "column": 1,
                    "event": "note",
                    "message": "(46) entry to ‘find_action_for_path’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 334,
                    "column": 6,
                    "event": "note",
                    "message": "(47) following ‘true’ branch (when ‘action_id’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 21,
                    "event": "note",
                    "message": "(48) inlined call to ‘g_strdup_inline’ from ‘find_action_for_path’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 335,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 317,
                    "column": 32,
                    "event": "note",
                    "message": "(49) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 788,
                    "column": 15,
                    "event": "note",
                    "message": "(50) returning to ‘main’ from ‘find_action_for_path’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1237,
                    "column": 7,
                    "event": "note",
                    "message": "(51) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1243,
                    "column": 31,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR_IMPL’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gmacros.h",
                    "line": 1244,
                    "column": 43,
                    "event": "note",
                    "message": "in expansion of macro ‘_G_BOOLEAN_EXPR’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gtestutils.h",
                    "line": 276,
                    "column": 49,
                    "event": "note",
                    "message": "in expansion of macro ‘G_LIKELY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 792,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘g_assert’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 794,
                    "column": 13,
                    "event": "note",
                    "message": "(52) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 324,
                    "column": 21,
                    "event": "note",
                    "message": "(53) inlined call to ‘g_strdup_inline’ from ‘main’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 807,
                    "column": 19,
                    "event": "note",
                    "message": "in expansion of macro ‘g_strdup’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/glib-2.0/glib/gstrfuncs.h",
                    "line": 311,
                    "column": 6,
                    "event": "note",
                    "message": "(54) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 807,
                    "column": 17,
                    "event": "note",
                    "message": "(55) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 808,
                    "column": 7,
                    "event": "note",
                    "message": "(56) argument 1 (‘command_line’) NULL where non-null expected",
                    "verbosity_level": 2
                },
                {
                    "file_name": "<built-in>",
                    "line": 0,
                    "event": "note",
                    "message": "argument 1 of ‘__builtin_strlen’ must be non-null",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  806|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  807|     cmdline_short = g_strdup(command_line);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  808|->   if (strlen(command_line) > 80)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  809|         g_stpcpy(g_stpcpy( cmdline_short + 38, \" ... \" ),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  810|                  command_line + strlen(command_line) - 37 );",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘main’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 962,
                    "column": 7,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘setreuid’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  962 |       setreuid (0, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |       ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  960|     if (pw->pw_uid != 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  961|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  962|->       setreuid (0, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  963|         if ((geteuid () != 0) || (getuid () != 0))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  964|           {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 962,
                    "column": 7,
                    "event": "warning[security.insecureAPI.UncheckedReturn]",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 962,
                    "column": 7,
                    "event": "note",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  960|     if (pw->pw_uid != 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  961|       {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  962|->       setreuid (0, 0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  963|         if ((geteuid () != 0) || (getuid () != 0))",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  964|           {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1015,
                    "column": 3,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘setregid’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015 |   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1013|         goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1014|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015|->   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016|     setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1015,
                    "column": 3,
                    "event": "warning[security.insecureAPI.UncheckedReturn]",
                    "message": "The return value from the call to 'setregid' is not checked.  If an error occurs in 'setregid', the following code may execute with unexpected privileges",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1015,
                    "column": 3,
                    "event": "note",
                    "message": "The return value from the call to 'setregid' is not checked.  If an error occurs in 'setregid', the following code may execute with unexpected privileges",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1013|         goto out;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1014|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015|->   setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016|     setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1016,
                    "column": 3,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘setreuid’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016 |   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1014|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015|     setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016|->   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1018|         (getegid () != pw->pw_gid) || (getgid () != pw->pw_gid))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1016,
                    "column": 3,
                    "event": "warning[security.insecureAPI.UncheckedReturn]",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 0
                },
                {
                    "file_name": "polkit-124/src/programs/pkexec.c",
                    "line": 1016,
                    "column": 3,
                    "event": "note",
                    "message": "The return value from the call to 'setreuid' is not checked.  If an error occurs in 'setreuid', the following code may execute with unexpected privileges",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1014|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1015|     setregid (pw->pw_gid, pw->pw_gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1016|->   setreuid (pw->pw_uid, pw->pw_uid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1017|     if ((geteuid () != pw->pw_uid) || (getuid () != pw->pw_uid) ||",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1018|         (getegid () != pw->pw_gid) || (getgid () != pw->pw_gid))",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
